org.apache.cassandra.transport

## Class ServerError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.transport.ServerError

All Implemented Interfaces:
  java.io.Serializable, TransportException

    public class ServerError
    extends java.lang.RuntimeException
    implements TransportException

Exceptions thrown when a client didn't respect the protocol.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServerError(java.lang.String msg)`
`ServerError(java.lang.Throwable e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExceptionCode` `code()` The exception code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Constructor Detail

#### ServerError

    public ServerError(java.lang.Throwable e)

#### ServerError

    public ServerError(java.lang.String msg)

### Method Detail

#### code

    public ExceptionCode code()

Description copied from interface: `TransportException`
The exception code.

Specified by:
  `code` in interface `TransportException`